package org.jtiger.samples;

import static org.jtiger.framework.FixturesRunnerConfigFactory.newFixturesRunnerConfig;
import static org.jtiger.framework.FixturesRunnerFactory.newFixturesRunner;
import static org.jtiger.assertion.Basic.assertTrue;
import static org.jtiger.assertion.Basic.assertFalse;
import static org.jtiger.framework.SequenceFactory.newSequence;
import org.jtiger.framework.FixturesRunnerConfig;
import org.jtiger.framework.Test;
import org.jtiger.framework.Category;
import org.jtiger.framework.FixtureResults;
import org.jtiger.framework.FixturesRunner;
import org.jtiger.framework.RunnerException;
import org.jtiger.framework.FixtureResult;
import org.jtiger.framework.TestResult;

public final class ExampleAPIUsage
{
    public ExampleAPIUsage()
    {

    }

    // The class that uses the JTiger API is the same
    // class that is used as a test fixture.
    // This is not ideal - typically, the test run would
    // include classes from some other source.
    @Test
    @Category("samples")
    public String testCase()
    {
        assertTrue(true);
        assertFalse(false);
        return "true is true and false is false";
    }

    public static void main(final String... args) throws RunnerException
    {
        final Class<?>[] fixtureClasses = new Class<?>[]{ExampleAPIUsage.class};

        final FixturesRunnerConfig config = newFixturesRunnerConfig(newSequence(fixtureClasses),
            null, null, false, "samples");
        final FixturesRunner runner = newFixturesRunner();
        final FixtureResults results = runner.run(config);

        for(FixtureResult result : results)
        {
            for(TestResult tr : result)
            {
                System.out.println(tr.getTestResultType() + " : " + tr.getMessage());
            }
        }
    }
}
