package org.jtiger.samples;

import static org.jtiger.assertion.Basic.assertEqual;
import static org.jtiger.assertion.Basic.assertTrue;
import org.jtiger.framework.Fixture;
import org.jtiger.framework.Category;
import org.jtiger.framework.Test;

@Fixture(value = "Thread", description = "Performs Unit Tests on java.lang.Thread")
@Category({"java.lang.Thread", "J2SE Core", "java.lang"})
public final class SampleTestFixture1
{
    public SampleTestFixture1()
    {

    }

    @Test(value = "Constant fields", description = "Test the constant fields of java.lang.Thread")
    public void constantFields()
    {
        assertEqual(1, Thread.MIN_PRIORITY);
        assertEqual(5, Thread.NORM_PRIORITY);
        assertEqual(10, Thread.MAX_PRIORITY);
    }

    @Test(value = "Runnable", description = "Test the Runnable implementation passed to java.lang.Thread")
    public void runnable() throws InterruptedException
    {
        final MockRunnable r = new MockRunnable();
        final Thread t = new Thread(r);
        t.start();
        t.join();
        assertTrue(r.isRun());
    }

    private static final class MockRunnable implements Runnable
    {
        private boolean run;

        public void run()
        {
            run = true;
        }

        public boolean isRun()
        {
            return run;
        }
    }
}