package org.jtiger.samples;

import static org.jtiger.framework.FixturesRunnerConfigFactory.newFixturesRunnerConfig;
import static org.jtiger.framework.FixturesRunnerFactory.newFixturesRunner;
import static org.jtiger.framework.SequenceFactory.newSequence;
import org.jtiger.framework.FixturesRunnerConfig;
import org.jtiger.framework.FixturesRunner;
import org.jtiger.framework.FixtureResults;
import org.jtiger.framework.RunnerException;
import org.jtiger.framework.FixtureResultsHandler;
import org.jtiger.framework.FixtureResultsHandlerException;
import org.jtiger.report.html.HtmlFixtureResultsHandler;
import java.io.File;

public final class SampleTestFixtureAPI
{
    private SampleTestFixtureAPI()
    {

    }

    public static void main(final String... args) throws RunnerException, FixtureResultsHandlerException
    {
        final Class<?>[] fixtureClasses = new Class<?>[]{SampleTestFixture1.class,
            SampleTestFixture2.class};

        final FixturesRunnerConfig config = newFixturesRunnerConfig(newSequence(fixtureClasses),
            null, null, false, "java.lang");
        final FixturesRunner runner = newFixturesRunner();
        final FixtureResults results = runner.run(config);

        final FixtureResultsHandler handler = new HtmlFixtureResultsHandler();
        final String dir = System.getProperty("user.home") + "/.jtiger-sample-report";
        new File(dir).mkdirs();
        handler.handleResult(results, newSequence(new String[]{dir}));
    }
}
