/*
 * JTiger Unit Testing Framework for J2SE 1.5
 * Copyright (C) 2005 Tony Morris
 *
 * This software is licenced under the
 * Common Public Licence version 1.0
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * You received a copy of this licence with this software.
 */
package org.jtiger.ant;

import java.text.MessageFormat;
import java.util.ResourceBundle;

final class BuildExceptionMessages
{
    public static final String BUNDLE = "org/jtiger/ant/BuildExceptionMessages";

    private BuildExceptionMessages()
    {

    }

    public static String missingJavaElement()
    {
        return ResourceBundle.getBundle(BuildExceptionMessages.BUNDLE).getString("missing.java.element");
    }
 
    public static String missingFixturesElement()
    {
        return ResourceBundle.getBundle(BuildExceptionMessages.BUNDLE).getString("missing.fixtures.element");
    }

    public static String missingFixturesClasses()
    {
        return ResourceBundle.getBundle(BuildExceptionMessages.BUNDLE).getString("missing.fixtures.classes");
    }

    public static String missingClassnameAttributeFixtureElement()
    {
        return ResourceBundle.getBundle(BuildExceptionMessages.BUNDLE).getString("missing.classname.attribute.fixture.element");
    }

    public static String missingRegexAttributeCategoryElement()
    {
        return ResourceBundle.getBundle(BuildExceptionMessages.BUNDLE).getString("missing.regex.attribute.category.element");
    }

    public static String missingNameAttributeResultElement()
    {
        return ResourceBundle.getBundle(BuildExceptionMessages.BUNDLE).getString("missing.name.attribute.result.element");
    }

    public static String badResultName(final String name)
    {
        return MessageFormat.format(
                ResourceBundle.getBundle(BuildExceptionMessages.BUNDLE).getString("bad.result.name"),
                name);
    }
}

