/*
 * JTiger Unit Testing Framework for J2SE 1.5
 * Copyright (C) 2005 Tony Morris
 *
 * This software is licenced under the
 * Common Public Licence version 1.0
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * You received a copy of this licence with this software.
 */
package org.jtiger.ant;

/**
 * An element used in {@link JTigerTask the Ant task} to specify the class name of a test fixture class that is to be
 * executed during a test run.
 *
 * @see JTigerTask
 * @author Tony Morris
 * @version 2.1<br/>
 *          <i>Build Number 0376</i><br/>
 *          <i>Build Time 2006-07-28 01:50.16.218 CET (GMT + 1)</i>
 */
public final class Fixture
{
    private String classname;

    /**
     * Create a default <tt>Fixture</tt>.
     */
    public Fixture()
    {

    }

    /**
     * Create a <tt>Fixture</tt> with the given class name.
     *
     * @param classname The class name of the <tt>Fixture</tt>.
     */
    public Fixture(final String classname)
    {
        setClassname(classname);
    }

    /**
     * Returns the class name for this test fixture.
     *
     * @return The class name for this test fixture.
     */
    public String getClassname()
    {
        return classname;
    }

    /**
     * Sets the class name for this classname.
     *
     * @param classname The class name for this classname.
     */
    public void setClassname(final String classname)
    {
        this.classname = classname;
    }
}
