/*
 * JTiger Unit Testing Framework for J2SE 1.5
 * Copyright (C) 2005 Tony Morris
 *
 * This software is licenced under the
 * Common Public Licence version 1.0
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * You received a copy of this licence with this software.
 */
package org.jtiger.ant;

import static org.jtiger.framework.ClassAliasMappingFactory.newClassAliasMapping;
import org.jtiger.framework.FixtureResultsHandler;

final class FixtureResultsHandlerFactory
{
    private FixtureResultsHandlerFactory()
    {

    }

    public static Class<? extends FixtureResultsHandler> newFixtureResultsHandler(String name) throws ClassNotFoundException
    {
        if(name == null)
        {
            return null;
        }

        final String aliasedName = newClassAliasMapping().getMappedClassName(name);

        if(aliasedName != null)
        {
            name = aliasedName;
        }

        final Class<?> c = Class.forName(name);

        if(FixtureResultsHandler.class.isAssignableFrom(c))
        {
            return c.asSubclass(FixtureResultsHandler.class);
        }

        return null;
    }
}
