/*
 * JTiger Unit Testing Framework for J2SE 1.5
 * Copyright (C) 2005 Tony Morris
 *
 * This software is licenced under the
 * Common Public Licence version 1.0
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * You received a copy of this licence with this software.
 */
package org.jtiger.ant;

import java.text.MessageFormat;
import java.util.Arrays;
import java.util.ResourceBundle;
import java.util.List;

final class LogMessages
{
    public static final String BUNDLE = "org/jtiger/ant/LogMessages";

    private LogMessages()
    {

    }

    public static String usingFixtureClasses(final String... fixtureClasses)
    {
        return MessageFormat.format(
                ResourceBundle.getBundle(LogMessages.BUNDLE).getString("using.fixture.classes"),
                Arrays.toString(fixtureClasses));
    }

    public static String usingDefinitionClass(final String definitionClass)
    {
        return MessageFormat.format(
                ResourceBundle.getBundle(LogMessages.BUNDLE).getString("using.definition.class"),
                definitionClass);
    }

    public static String usingSetUpTearDownClass(final String sutdClass)
    {
        return MessageFormat.format(
                ResourceBundle.getBundle(LogMessages.BUNDLE).getString("using.setup.teardown.class"),
                sutdClass);
    }

    public static String haltOnFailure(final boolean haltOnFailure)
    {
        return MessageFormat.format(
                ResourceBundle.getBundle(LogMessages.BUNDLE).getString("halt.on.failure"),
                haltOnFailure);
    }

    public static String totalNumberOfCategories(final int totalNumberOfCategories)
    {
        return MessageFormat.format(
                ResourceBundle.getBundle(LogMessages.BUNDLE).getString("total.number.of.categories"),
                totalNumberOfCategories);
    }

    public static String usingCategoryRegularExpression(final String regex)
    {
        return MessageFormat.format(
                ResourceBundle.getBundle(LogMessages.BUNDLE).getString("using.category.regular.expression"),
                regex);
    }

    public static String usingDefaultResultName()
    {
        return ResourceBundle.getBundle(LogMessages.BUNDLE).getString("using.default.result.name");
    }

    public static String usingResultName(final String name)
    {
        return MessageFormat.format(
                ResourceBundle.getBundle(LogMessages.BUNDLE).getString("using.result.name"),
                name);
    }

    public static String usingResultParams(final List<Param> params)
    {
        return MessageFormat.format(
                ResourceBundle.getBundle(LogMessages.BUNDLE).getString("using.result.params"),
                params);
    }

    public static String usingJUnit()
    {
        return ResourceBundle.getBundle(LogMessages.BUNDLE).getString("using.junit");
    }
}
