/*
 * JTiger Unit Testing Framework for J2SE 1.5
 * Copyright (C) 2005 Tony Morris
 *
 * This software is licenced under the
 * Common Public Licence version 1.0
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * You received a copy of this licence with this software.
 */
package org.jtiger.ant;

/**
 * An element used in {@link JTigerTask the Ant task} to have parameters passed to the
 * {@link org.jtiger.framework.FixtureResultsHandler} interface implementation. This implementation is given using the
 * {@link Result} element of which this element is a subelement of.
 *
 * @see org.jtiger.framework.FixtureResultsHandler
 * @see JTigerTask
 * @author Tony Morris
 * @version 2.1<br/>
 *          <i>Build Number 0376</i><br/>
 *          <i>Build Time 2006-07-28 01:50.16.218 CET (GMT + 1)</i>
 */
public final class Param
{
    private String value;

    /**
     * Create a default <tt>Param</tt>.
     */
    public Param()
    {

    }

    /**
     * Returns the value for this param.
     *
     * @return The value for this param.
     */
    public String getValue()
    {
        return value;
    }

    /**
     * Sets the value for this param.
     *
     * @param value The value for this param.
     */
    public void setValue(final String value)
    {
        this.value = value;
    }
}
