/*
 * JTiger Unit Testing Framework for J2SE 1.5
 * Copyright (C) 2005 Tony Morris
 *
 * This software is licenced under the
 * Common Public Licence version 1.0
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * You received a copy of this licence with this software.
 */
package org.jtiger.assertion;

final class BoxedTypePromoterFactory
{
    private BoxedTypePromoterFactory()
    {

    }

    public static BoxedTypePromoter newBoxedTypePromoter()
    {
        return new BoxedTypePromoterImpl();
    }

    private static final class BoxedTypePromoterImpl implements BoxedTypePromoter
    {
        BoxedTypePromoterImpl()
        {

        }

        public Object promote(final Object o)
        {
            if(o == null)
            {
                return null;
            }
            else if(o instanceof Byte)
            {
                return new Long(((Byte)o).byteValue());
            }
            else if(o instanceof Short)
            {
                return new Long(((Short)o).shortValue());
            }
            else if(o instanceof Character)
            {
                return new Long(((Character)o).charValue());
            }
            else if(o instanceof Integer)
            {
                return new Long(((Integer)o).intValue());
            }
            else if(o instanceof Float)
            {
                return new Double(((Float)o).floatValue());
            }
            else
            {
                return o;
            }
        }
    }
}
