/*
 * JTiger Unit Testing Framework for J2SE 1.5
 * Copyright (C) 2005 Tony Morris
 *
 * This software is licenced under the
 * Common Public Licence version 1.0
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * You received a copy of this licence with this software.
 */
package org.jtiger.assertion;

import java.lang.reflect.Constructor;
import java.lang.reflect.Field;
import java.lang.reflect.Method;

interface ModifierTester
{
    boolean isAbstract(Method m);
    boolean isAbstract(Class<?> c);
    boolean isFinal(Method m);
    boolean isFinal(Class<?> c);
    boolean isFinal(Field f);
    boolean isNative(Method m);
    boolean isPrivate(Method m);
    boolean isPrivate(Constructor<?> c);
    boolean isPrivate(Class<?> c);
    boolean isPrivate(Field f);
    boolean isProtected(Method m);
    boolean isProtected(Constructor<?> c);
    boolean isProtected(Class<?> c);
    boolean isProtected(Field f);
    boolean isPublic(Method m);
    boolean isPublic(Constructor<?> c);
    boolean isPublic(Class<?> c);
    boolean isPublic(Field f);
    boolean isDefaultAccess(Method m);
    boolean isDefaultAccess(Constructor<?> c);
    boolean isDefaultAccess(Class<?> c);
    boolean isDefaultAccess(Field f);
    boolean isStatic(Method m);
    boolean isStatic(Class<?> c);
    boolean isStatic(Field f);
    boolean isStrictfp(Class<?> c);
    boolean isSynchronized(Method m);
    boolean isTransient(Field f);
    boolean isVolatile(Field f);
}
