/**
 * Provides a set of assertions for typical use in test cases.
 * A primitive set of assertions is provided by the {@link org.jtiger.assertion.Basic} class.
 * The {@link org.jtiger.assertion.EqualsMethodContract} class provides a set of assertions for
 * <a href="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.htmll#equals(java.lang.Object)"> the java.lang.Object equals method</a>.
 * The {@link org.jtiger.assertion.HashCodeMethodContract} class provides a set of assertions for
 * <a href="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.htmll#hashCode()"> the java.lang.Object hashCode method</a>.
 * The {@link org.jtiger.assertion.Modifier} class provides a set of assertions for modifiers on language constructs
 * e.g. that a class is declared public, or that a method is declared synchronized.
 * The {@link org.jtiger.assertion.Serialization} class provides a set of assertions for instances of
 * <a href="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Serializable.html">java.io.Serializable</a> and relevant associated semantics for
 * this type.
 */
package org.jtiger.assertion;