/*
 * JTiger Unit Testing Framework for J2SE 1.5
 * Copyright (C) 2005 Tony Morris
 *
 * This software is licenced under the
 * Common Public Licence version 1.0
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * You received a copy of this licence with this software.
 */
package org.jtiger.framework;

final class FixtureDescriptionFactory
{
    private FixtureDescriptionFactory()
    {

    }

    static FixtureDescription newFixtureDescription()
    {
        return new FixtureDescriptionImpl();
    }

    private static final class FixtureDescriptionImpl implements FixtureDescription
    {
        FixtureDescriptionImpl()
        {

        }

        public String getFixtureDescription(final Class<?> c) throws NullPointerException
        {
            if(c == null)
            {
                throw new NullPointerException();
            }

            final Fixture f = c.getAnnotation(Fixture.class);

            if(f == null)
            {
                return null;
            }

            return f.description();
        }
    }
}
