/*
 * JTiger Unit Testing Framework for J2SE 1.5
 * Copyright (C) 2005 Tony Morris
 *
 * This software is licenced under the
 * Common Public Licence version 1.0
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * You received a copy of this licence with this software.
 */
package org.jtiger.framework;

final class FixtureNameFactory
{
    private FixtureNameFactory()
    {

    }

    static FixtureName newFixtureName()
    {
        return new FixtureNameImpl();
    }

    private static final class FixtureNameImpl implements FixtureName
    {
        FixtureNameImpl()
        {

        }

        public String getFixtureName(final Class<?> c) throws NullPointerException
        {
            if(c == null)
            {
                throw new NullPointerException();
            }

            final Fixture f = c.getAnnotation(Fixture.class);

            if(f == null)
            {
                return c.getCanonicalName();
            }

            final String value = f.value();
            
            if(value.length() == 0)
            {
                return c.getCanonicalName();
            }
            else
            {
                return value;
            }
        }
    }
}
