/*
 * JTiger Unit Testing Framework for J2SE 1.5
 * Copyright (C) 2005 Tony Morris
 *
 * This software is licenced under the
 * Common Public Licence version 1.0
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * You received a copy of this licence with this software.
 */
package org.jtiger.framework;

/**
 * An exception that may be thrown during the handling of test results.
 *
 * @see FixtureResultsHandler
 * @author Tony Morris
 * @version 2.1<br/>
 *          <i>Build Number 0376</i><br/>
 *          <i>Build Time 2006-07-28 01:50.16.218 CET (GMT + 1)</i>
 */
public final class FixtureResultsHandlerException extends Exception
{
    /**
     * Create a default <tt>FixtureResultsHandlerException</tt>.
     */
    public FixtureResultsHandlerException()
    {

    }

    /**
     * Create a <tt>FixtureResultsHandlerException</tt> with the given message.
     *
     * @param message The message of the <tt>FixtureResultsHandlerException</tt>.
     */
    public FixtureResultsHandlerException(final String message)
    {
        super(message);
    }

    /**
     * Create a <tt>FixtureResultsHandlerException</tt> with the given cause.
     *
     * @param cause The cause of the <tt>FixtureResultsHandlerException</tt>.
     */
    public FixtureResultsHandlerException(final Throwable cause)
    {
        super(cause);
    }

    /**
     * Create a <tt>FixtureResultsHandlerException</tt> with the given message and cause.
     *
     * @param message The message of the <tt>FixtureResultsHandlerException</tt>.
     * @param cause The cause of the <tt>FixtureResultsHandlerException</tt>.
     */
    public FixtureResultsHandlerException(final String message, final Throwable cause)
    {
        super(message, cause);
    }
}
