/*
 * JTiger Unit Testing Framework for J2SE 1.5
 * Copyright (C) 2005 Tony Morris
 *
 * This software is licenced under the
 * Common Public Licence version 1.0
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * You received a copy of this licence with this software.
 */
package org.jtiger.framework;

import java.text.MessageFormat;
import java.util.ResourceBundle;

final class Messages
{
    public static final String BUNDLE = "org/jtiger/framework/Messages";

    private Messages()
    {

    }

    public static String wrongMethodSignature()
    {
        return ResourceBundle.getBundle(BUNDLE).getString("wrong.method.signature");
    }

    public static String usage()
    {
        return MessageFormat.format(
                ResourceBundle.getBundle(BUNDLE).getString("usage"),
                System.getProperty("line.separator"),
                FixturesRunnerMain.ARG_FIXTURE_CLASSES,
                FixturesRunnerMain.ARG_DEFINITION_CLASS,
                FixturesRunnerMain.ARG_SUTD_CLASS,
                FixturesRunnerMain.ARG_HALT_ON_FAILURE,
                FixturesRunnerMain.ARG_CATEGORIES,
                FixturesRunnerMain.ARG_RESULT);
    }
}
