/*
 * JTiger Unit Testing Framework for J2SE 1.5
 * Copyright (C) 2005 Tony Morris
 *
 * This software is licenced under the
 * Common Public Licence version 1.0
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * You received a copy of this licence with this software.
 */
package org.jtiger.framework;

/**
 * A position can be conceptualised as a point between two elements in a structure.
 * @author Tony Morris
 * @version 2.1<br/>
 *          <i>Build Number 0376</i><br/>
 *          <i>Build Time 2006-07-28 01:50.16.218</i>
 */
public interface Positionable
{
    /**
     * Returns the position . The position is conceptually between elements in a structure, unless it is at the start or
     * end, in which case,  this method returns zero or the size of the structure respectively.
     *
     * @return The position in a structure.
     */
    int getPosition();
}
