/*
 * JTiger Unit Testing Framework for J2SE 1.5
 * Copyright (C) 2005 Tony Morris
 *
 * This software is licenced under the
 * Common Public Licence version 1.0
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * You received a copy of this licence with this software.
 */
package org.jtiger.framework;

import java.lang.reflect.Method;

/**
 * Determines whether or not a given
 * <a href="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/reflect/Method.html">java.lang.reflect.Method</a> is to be considered a test case
 * method.
 * <br/>
 * Custom implementations can be passed on {@link FixturesRunnerMain the command} line using
 * {@link FixturesRunnerMain#ARG_DEFINITION_CLASS the appropriate argument}.

 * @see FixturesRunnerConfig
 * @see FixturesRunnerConfigFactory
 * @see Test
 * @author Tony Morris
 * @version 2.1<br/>
 *          <i>Build Number 0376</i><br/>
 *          <i>Build Time 2006-07-28 01:50.16.218 CET (GMT + 1)</i>
 */
public interface TestDefinition
{
    /**
     * Returns <code>true</code> if the given
     * <a href="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/reflect/Method.html">java.lang.reflect.Method</a> is to be considered a test
     * case method.
     *
     * @param m The method to determine if it is a test case method.
     * @return <code>true</code> if the given
     * <a href="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/reflect/Method.html">java.lang.reflect.Method</a> is to be considered a test
     * case method.
     */
    boolean isTest(Method m);
}
