/*
 * JTiger Unit Testing Framework for J2SE 1.5
 * Copyright (C) 2005 Tony Morris
 *
 * This software is licenced under the
 * Common Public Licence version 1.0
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * You received a copy of this licence with this software.
 */
package org.jtiger.framework;

import java.lang.reflect.Method;

final class TestDescriptionFactory
{
    private TestDescriptionFactory()
    {

    }

    static TestDescription newTestDescription()
    {
        return new TestDescriptionImpl();
    }

    private static final class TestDescriptionImpl implements TestDescription
    {
        TestDescriptionImpl()
        {

        }

        public String getTestDescription(final Method m) throws NullPointerException
        {
            if(m == null)
            {
                throw new NullPointerException();
            }

            final Test t = m.getAnnotation(Test.class);

            if(t == null)
            {
                return null;
            }

            return t.description();
        }
    }
}
