/*
 * JTiger Unit Testing Framework for J2SE 1.5
 * Copyright (C) 2005 Tony Morris
 *
 * This software is licenced under the
 * Common Public Licence version 1.0
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * You received a copy of this licence with this software.
 */
package org.jtiger.framework;

import static org.jtiger.framework.TestResultType.FAILURE;
import static org.jtiger.framework.TestResultType.FAILURE_SETUP;
import static org.jtiger.framework.TestResultType.FAILURE_TEARDOWN;


final class TestFailureFactory
{
    private TestFailureFactory()
    {

    }

    static TestFailure newTestFailure()
    {
        return new TestFailureImpl();
    }

    private static final class TestFailureImpl implements TestFailure
    {
        TestFailureImpl()
        {

        }

        public boolean isFailure(final TestResultType result)
        {
            return result == FAILURE ||
                    result == FAILURE_SETUP ||
                    result == FAILURE_TEARDOWN;
        }
    }
}
