/*
 * JTiger Unit Testing Framework for J2SE 1.5
 * Copyright (C) 2005 Tony Morris
 *
 * This software is licenced under the
 * Common Public Licence version 1.0
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * You received a copy of this licence with this software.
 */
package org.jtiger.framework;

import static org.jtiger.framework.TestResultType.IGNORED_ANNOTATED;
import static org.jtiger.framework.TestResultType.IGNORED_CANNOT_INVOKE;

final class TestIgnoredFactory
{
    private TestIgnoredFactory()
    {

    }

    static TestIgnored newTestIgnored()
    {
        return new TestIgnoredImpl();
    }

    private static final class TestIgnoredImpl implements TestIgnored
    {
        TestIgnoredImpl()
        {

        }

        public boolean isIgnored(final TestResultType result)
        {
            return result == IGNORED_ANNOTATED ||
                    result == IGNORED_CANNOT_INVOKE;
        }
    }
}
