/*
 * JTiger Unit Testing Framework for J2SE 1.5
 * Copyright (C) 2005 Tony Morris
 *
 * This software is licenced under the
 * Common Public Licence version 1.0
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * You received a copy of this licence with this software.
 */
package org.jtiger.framework;

import java.lang.reflect.Method;

final class TestNameFactory
{
    private TestNameFactory()
    {

    }

    static TestName newTestName()
    {
        return new TestNameImpl();
    }
    
    private static final class TestNameImpl implements TestName
    {
        TestNameImpl()
        {

        }

        public String getTestName(final Method m) throws NullPointerException
        {
            if(m == null)
            {
                throw new NullPointerException();
            }

            final Test t = m.getAnnotation(Test.class);

            if(t == null)
            {
                return m.getName();
            }

            final String value = t.value();

            if(value == null || value.length() == 0)
            {
                return m.getName();
            }
            else
            {
                return t.value();
            }
        }
    }
}
