/*
 * JTiger Unit Testing Framework for J2SE 1.5
 * Copyright (C) 2005 Tony Morris
 *
 * This software is licenced under the
 * Common Public Licence version 1.0
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * You received a copy of this licence with this software.
 */
package org.jtiger.report.html;

import org.jtiger.framework.ReadOnlyArray;

final class FixtureResultsFactory
{
    private FixtureResultsFactory()
    {

    }

    static FixtureResults newFixtureResults(final String name, final String description, final String className,
                                                 final ReadOnlyArray<TestResult> testResults)
    {
        return new FixtureResultsImpl(name, description, className, testResults);
    }

    private static final class FixtureResultsImpl implements FixtureResults
    {
        private final String name;
        private final String description;
        private final String className;
        private final ReadOnlyArray<TestResult> testResults;

        FixtureResultsImpl(final String name, final String description, final String className,
                                  final ReadOnlyArray<TestResult> testResults)
        {
            this.name = name;
            this.description = description;
            this.className = className;
            this.testResults = testResults;
        }

        public String getName()
        {
            return name;
        }

        public String getDescription()
        {
            return description;
        }

        public String getClassName()
        {
            return className;
        }

        public ReadOnlyArray<TestResult> getTestResults()
        {
            return testResults;
        }
    }
}
