/*
 * JTiger Unit Testing Framework for J2SE 1.5
 * Copyright (C) 2005 Tony Morris
 *
 * This software is licenced under the
 * Common Public Licence version 1.0
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * You received a copy of this licence with this software.
 */
package org.jtiger.report.html;

final class FixturesFilenamePolicyFactory
{
    private FixturesFilenamePolicyFactory()
    {

    }

    static FilenamePolicy newFixturesFilenamePolicy()
    {
        return new FixturesFilenamePolicy();
    }

    private static final class FixturesFilenamePolicy implements FilenamePolicy
    {
        private int counter;

        FixturesFilenamePolicy()
        {

        }

        public String nextFilename()
        {
            final StringBuilder filename = new StringBuilder();
            filename.append("fixtures/fixture");
            filename.append(counter++);
            filename.append(".html");
            return filename.toString();
        }
    }
}
