/*
 * JTiger Unit Testing Framework for J2SE 1.5
 * Copyright (C) 2005 Tony Morris
 *
 * This software is licenced under the
 * Common Public Licence version 1.0
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * You received a copy of this licence with this software.
 */
package org.jtiger.report.html;

final class OverallResultFactory
{
    private OverallResultFactory()
    {

    }

    static OverallResult newOverallResult(final String name, final String description, final String elapsedTime, final String result)
    {
        return new OverallResultImpl(name, description, elapsedTime, result);
    }

    private static final class OverallResultImpl implements OverallResult
    {
        private final String name;
        private final String description;
        private final String elapsedTime;
        private final String result;

        OverallResultImpl(final String name, final String description, final String elapsedTime, final String result)
        {
            this.name = name;
            this.description = description;
            this.elapsedTime = elapsedTime;
            this.result = result;
        }

        public String getName()
        {
            return name;
        }

        public String getDescription()
        {
            return description;
        }

        public String getElapsedTime()
        {
            return elapsedTime;
        }

        public String getResult()
        {
            return result;
        }
    }
}
