/*
 * JTiger Unit Testing Framework for J2SE 1.5
 * Copyright (C) 2005 Tony Morris
 *
 * This software is licenced under the
 * Common Public Licence version 1.0
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * You received a copy of this licence with this software.
 */
package org.jtiger.report.html;

final class TestResultFactory
{
    private TestResultFactory()
    {

    }

    static TestResult newTestResult(final String name, final String exception, final String elapsedTime,
                                           final String message, final String methodName, final String description, final String result)
    {
        return new TestResultImpl(name, exception, elapsedTime, message, methodName, description, result);
    }

    private static final class TestResultImpl implements TestResult
    {
        private final String name;
        private final String exception;
        private final String elapsedTime;
        private final String message;
        private final String methodName;
        private final String description;
        private final String result;

        TestResultImpl(final String name, final String exception, final String elapsedTime,
                                           final String message, final String methodName, final String description, final String result)
        {
            this.name = name;
            this.exception = exception;
            this.elapsedTime = elapsedTime;
            this.message = message;
            this.methodName = methodName;
            this.description = description;
            this.result = result;
        }

        public String getName()
        {
            return name;
        }

        public String getException()
        {
            return exception;
        }

        public String getElapsedTime()
        {
            return elapsedTime;
        }

        public String getMessage()
        {
            return message;
        }

        public String getMethodName()
        {
            return methodName;
        }

        public String getDescription()
        {
            return description;
        }

        public String getResult()
        {
            return result;
        }
    }
}
