<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    version="1.0"
    xmlns:xalan="http://xml.apache.org/xslt">
	   
   	<xsl:output method="html" omit-xml-declaration="yes" />

    <xsl:param name="buildTime">Unknown</xsl:param>
    <xsl:param name="fixtureName">Unknown</xsl:param>
    <xsl:param name="fixtureDescription">Unknown</xsl:param>
    <xsl:param name="fixtureClass">Unknown</xsl:param>

	<xsl:template match="/java">
		<html>
		    <head>
		        <title>
		            JTiger Test Fixture Results
		        </title>
		    </head>
		    <body bgcolor="#F0FFFF" text="#000000">
                <p align="center">
                    <u>
                        <b>
                            <font face="Verdana, Arial, Helvetica, sans-serif">
                                <xsl:value-of select="$fixtureName" />
                            </font>
                        </b>
                    </u>
                    <font face="Verdana, Arial, Helvetica, sans-serif">
                        <br/>
                        <font size="2">
                            <b>
                                <xsl:value-of select="$fixtureDescription" />
                            </b>
                        </font>
                        <br/>
                        <i>
                            <font size="2">
                                Fixture Class: <xsl:value-of select="$fixtureClass" />
                            </font>
                        </i>
                    </font>
                </p>
                <p>
                    <font face="Verdana, Arial, Helvetica, sans-serif">
                        <b>
                            Tests
                        </b>
                    </font>
                </p>
		        <table width="100%" border="1" cellpadding="0" cellspacing="0" bordercolor="#CCCCCC">
		            <tr> 
		                <td width="12%"> 
		                    <div align="center">
		                        <font face="Verdana, Arial, Helvetica, sans-serif" size="2">
		                            <b>
		                                Name
		                            </b>
		                        </font>
		                    </div>
		                </td>
		                <td width="12%"> 
		                    <div align="center">
		                        <font face="Verdana, Arial, Helvetica, sans-serif" size="2">
		                            <b>
		                                Exception
		                            </b>
		                        </font>
		                    </div>
		                </td>
		                <td width="8%"> 
		                    <div align="center">
		                        <font face="Verdana, Arial, Helvetica, sans-serif" size="2">
		                            <b>
		                                Elapsed Time (ms)
		                            </b>
		                        </font>
		                    </div>
		                </td>
		                <td width="14%"> 
		                    <div align="center">
		                        <font face="Verdana, Arial, Helvetica, sans-serif" size="2">
		                            <b>
		                                Message
		                            </b>
		                        </font>
		                    </div>
		                </td>
		                <td width="12%"> 
		                    <div align="center">
		                        <font face="Verdana, Arial, Helvetica, sans-serif" size="2">
		                            <b>
		                                Method Name
		                            </b>
		                        </font>
		                    </div>
		                </td>
		                <td width="24%"> 
		                    <div align="center">
		                        <font face="Verdana, Arial, Helvetica, sans-serif" size="2">
		                            <b>
		                                Description
		                            </b>
		                        </font>
		                    </div>
		                </td>
		                <td width="18%"> 
		                    <div align="center">
		                        <font face="Verdana, Arial, Helvetica, sans-serif" size="2">
		                            <b>
		                                Result
		                            </b>
		                        </font>
		                    </div>
		                </td>
		            </tr>
		        	<xsl:apply-templates select="./object" />
			    </table>
                <br/>
                <p align="center">
                    <font face="Verdana, Arial, Helvetica, sans-serif" size="1">
                        <a href="http://www.jtiger.org/" target="_blank">http://www.jtiger.org/</a>
                    </font>
                    <br/>
                    <font face="Verdana, Arial, Helvetica, sans-serif" size="1" >
                        This report was generated at: <xsl:value-of select="$buildTime"/>
                    </font>
                </p>
		    </body>
		</html>
	</xsl:template>
	
	<xsl:template match="object">
		<tr>
			<xsl:variable name="col">
				<xsl:choose>
                    <xsl:when test="./void[@property = 'result']/string = 'Success'">#A0FFA0</xsl:when>
                    <xsl:when test="./void[@property = 'result']/string = 'Failure'">#FFA0A0</xsl:when>
                    <xsl:when test="./void[@property = 'result']/string = 'Failure (Set Up)'">#FFA0A0</xsl:when>
                    <xsl:when test="./void[@property = 'result']/string = 'Failure (Tear Down)'">#FFA0A0</xsl:when>
					<xsl:when test="./void[@property = 'result']/string = 'Ignored (Annotated)'">#FFFFCC</xsl:when>
                    <xsl:when test="./void[@property = 'result']/string = 'Ignored (Cannot Invoke)'">#FFCCA0</xsl:when>
					<xsl:otherwise>#FFFFFF</xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			
			<xsl:apply-templates select="./void[@property = 'name']">
				<xsl:with-param name="color" select="$col" />
				<xsl:with-param name="wid" select="12" />
			</xsl:apply-templates>
			<xsl:apply-templates select="./void[@property = 'exception']">
				<xsl:with-param name="color" select="$col" />
				<xsl:with-param name="wid" select="12" />
			</xsl:apply-templates>
			<xsl:apply-templates select="./void[@property = 'elapsedTime']">
				<xsl:with-param name="color" select="$col" />
				<xsl:with-param name="wid" select="8" />
			</xsl:apply-templates>
			<xsl:apply-templates select="./void[@property = 'message']">
				<xsl:with-param name="color" select="$col" />
				<xsl:with-param name="wid" select="14" />
			</xsl:apply-templates>
			<xsl:apply-templates select="./void[@property = 'methodName']">
				<xsl:with-param name="color" select="$col" />
				<xsl:with-param name="wid" select="12" />
			</xsl:apply-templates>
			<xsl:apply-templates select="./void[@property = 'description']">
				<xsl:with-param name="color" select="$col" />
				<xsl:with-param name="wid" select="24" />
			</xsl:apply-templates>
			<xsl:apply-templates select="./void[@property = 'result']">
				<xsl:with-param name="color" select="$col" />
				<xsl:with-param name="wid" select="18" />
			</xsl:apply-templates>
		</tr>
	</xsl:template>
	
	<xsl:template match="void">
		<xsl:param name="color" />
		<xsl:param name="wid" />
		<xsl:element name="td">
			<xsl:attribute name="width"><xsl:value-of select="$wid" />%</xsl:attribute>
			<xsl:attribute name="height">2</xsl:attribute>
			<xsl:attribute name="bgcolor"><xsl:value-of select="$color" /></xsl:attribute>
			<div align="center">
				<font face="Verdana, Arial, Helvetica, sans-serif" size="2">
					<xsl:value-of select="./string" />
				</font>				
			</div>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>
