<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    version="1.0"
    xmlns:xalan="http://xml.apache.org/xslt">
	   
   	<xsl:output method="html" omit-xml-declaration="yes" />

    <xsl:param name="buildTime">Unknown</xsl:param>
    <xsl:param name="success">0</xsl:param>
    <xsl:param name="failure">0</xsl:param>
    <xsl:param name="failure.setup">0</xsl:param>
    <xsl:param name="failure.teardown">0</xsl:param>
    <xsl:param name="ignored.annotated">0</xsl:param>
    <xsl:param name="ignored.cannot.invoke">0</xsl:param>

	<xsl:template match="/java">
		<html>
		    <head>
		        <title>
		            JTiger Overall Test Results
		        </title>
		    </head>
		    <body bgcolor="#F0FFFF" text="#000000">
                <p align="center">
                    <u>
                        <b>
                            <font face="Verdana, Arial, Helvetica, sans-serif">
                                JTiger Overall Test Results
                            </font>
                        </b>
                    </u>
                </p>
		        <table width="100%" border="1" cellpadding="0" cellspacing="0" bordercolor="#CCCCCC">
		            <tr> 
		                <td width="26%"> 
		                    <div align="center">
		                        <font face="Verdana, Arial, Helvetica, sans-serif" size="2">
		                            <b>
		                                Name
		                            </b>
		                        </font>
		                    </div>
		                </td>
		                <td width="48%"> 
		                    <div align="center">
		                        <font face="Verdana, Arial, Helvetica, sans-serif" size="2">
		                            <b>
		                                Description
		                            </b>
		                        </font>
		                    </div>
		                </td>
		                <td width="8%"> 
		                    <div align="center">
		                        <font face="Verdana, Arial, Helvetica, sans-serif" size="2">
		                            <b>
		                                Elapsed Time (ms)
		                            </b>
		                        </font>
		                    </div>
		                </td>
		                <td width="18%"> 
		                    <div align="center">
		                        <font face="Verdana, Arial, Helvetica, sans-serif" size="2">
		                            <b>
		                                Result
		                            </b>
		                        </font>
		                    </div>
		                </td>
		            </tr>
		        	<xsl:apply-templates select="./object" />
			    </table>
                <p/>
                <table width="25%" border="1" cellpadding="0" cellspacing="0" bordercolor="#CCCCCC">
                    <tr>
                        <td width="75%" bgcolor="#A0FFA0">
                            <div align="center">
                                <font face="Verdana, Arial, Helvetica, sans-serif" size="2">
                                    <b>
                                        Success
                                    </b>
                                </font>
                            </div>
                        </td>
                        <td width="25%" bgcolor="#A0FFA0">
                            <div align="center">
                                <font face="Verdana, Arial, Helvetica, sans-serif" size="2">
                                    <b>
                                        <xsl:value-of select="$success"/>
                                    </b>
                                </font>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td width="75%" bgcolor="#FFA0A0">
                            <div align="center">
                                <font face="Verdana, Arial, Helvetica, sans-serif" size="2">
                                    <b>
                                        Failure
                                    </b>
                                </font>
                            </div>
                        </td>
                        <td width="25%" bgcolor="#FFA0A0">
                            <div align="center">
                                <font face="Verdana, Arial, Helvetica, sans-serif" size="2">
                                    <b>
                                        <xsl:value-of select="$failure"/>
                                    </b>
                                </font>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td width="75%" bgcolor="#FFA0A0">
                            <div align="center">
                                <font face="Verdana, Arial, Helvetica, sans-serif" size="2">
                                    <b>
                                        Failure (Set Up)
                                    </b>
                                </font>
                            </div>
                        </td>
                        <td width="25%" bgcolor="#FFA0A0">
                            <div align="center">
                                <font face="Verdana, Arial, Helvetica, sans-serif" size="2">
                                    <b>
                                        <xsl:value-of select="$failure.setup"/>
                                    </b>
                                </font>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td width="75%" bgcolor="#FFA0A0">
                            <div align="center">
                                <font face="Verdana, Arial, Helvetica, sans-serif" size="2">
                                    <b>
                                        Failure (Tear Down)
                                    </b>
                                </font>
                            </div>
                        </td>
                        <td width="25%" bgcolor="#FFA0A0">
                            <div align="center">
                                <font face="Verdana, Arial, Helvetica, sans-serif" size="2">
                                    <b>
                                        <xsl:value-of select="$failure.teardown"/>
                                    </b>
                                </font>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td width="75%" bgcolor="#FFFFCC">
                            <div align="center">
                                <font face="Verdana, Arial, Helvetica, sans-serif" size="2">
                                    <b>
                                        Ignored (Annotated)
                                    </b>
                                </font>
                            </div>
                        </td>
                        <td width="25%" bgcolor="#FFFFCC">
                            <div align="center">
                                <font face="Verdana, Arial, Helvetica, sans-serif" size="2">
                                    <b>
                                        <xsl:value-of select="$ignored.annotated"/>
                                    </b>
                                </font>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td width="75%" bgcolor="#FFCCA0">
                            <div align="center">
                                <font face="Verdana, Arial, Helvetica, sans-serif" size="2">
                                    <b>
                                        Ignored (Cannot Invoke)
                                    </b>
                                </font>
                            </div>
                        </td>
                        <td width="25%" bgcolor="#FFCCA0">
                            <div align="center">
                                <font face="Verdana, Arial, Helvetica, sans-serif" size="2">
                                    <b>
                                        <xsl:value-of select="$ignored.cannot.invoke"/>
                                    </b>
                                </font>
                            </div>
                        </td>
                    </tr>
                </table>
                <br/>
                <p align="center">
                    <font face="Verdana, Arial, Helvetica, sans-serif" size="1">
                        <a href="http://www.jtiger.org/" target="_blank">http://www.jtiger.org/</a>
                    </font>
                    <br/>
                    <font face="Verdana, Arial, Helvetica, sans-serif" size="1" >
                        This report was generated at: <xsl:value-of select="$buildTime"/>
                    </font>
                </p>
		    </body>
		</html>
	</xsl:template>
	
	<xsl:template match="object">
		<tr>
			<xsl:variable name="col">
				<xsl:choose>
                    <xsl:when test="./void[@property = 'result']/string = 'Success'">#A0FFA0</xsl:when>
                    <xsl:when test="./void[@property = 'result']/string = 'Failure'">#FFA0A0</xsl:when>
                    <xsl:when test="./void[@property = 'result']/string = 'Failure (Set Up)'">#FFA0A0</xsl:when>
                    <xsl:when test="./void[@property = 'result']/string = 'Failure (Tear Down)'">#FFA0A0</xsl:when>
					<xsl:when test="./void[@property = 'result']/string = 'Ignored (Annotated)'">#FFFFCC</xsl:when>
                    <xsl:when test="./void[@property = 'result']/string = 'Ignored (Cannot Invoke)'">#FFCCA0</xsl:when>
					<xsl:otherwise>#FFFFFF</xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			
			<xsl:apply-templates select="./void[@property = 'name']">
				<xsl:with-param name="color" select="$col" />
				<xsl:with-param name="wid" select="26" />
			</xsl:apply-templates>
			<xsl:apply-templates select="./void[@property = 'description']">
				<xsl:with-param name="color" select="$col" />
				<xsl:with-param name="wid" select="48" />
			</xsl:apply-templates>
			<xsl:apply-templates select="./void[@property = 'elapsedTime']">
				<xsl:with-param name="color" select="$col" />
				<xsl:with-param name="wid" select="8" />
			</xsl:apply-templates>
			<xsl:apply-templates select="./void[@property = 'result']">
				<xsl:with-param name="color" select="$col" />
				<xsl:with-param name="wid" select="18" />
			</xsl:apply-templates>
		</tr>
	</xsl:template>
	
	<xsl:template match="void">
		<xsl:param name="color" />
		<xsl:param name="wid" />
		<xsl:element name="td">
			<xsl:attribute name="width"><xsl:value-of select="$wid" />%</xsl:attribute>
			<xsl:attribute name="height">2</xsl:attribute>
			<xsl:attribute name="bgcolor"><xsl:value-of select="$color" /></xsl:attribute>
			<div align="center">
				<font face="Verdana, Arial, Helvetica, sans-serif" size="2">
					<xsl:choose>
					<xsl:when test="@property = 'name'">
						<xsl:element name="a">
							<xsl:attribute name="href"><xsl:value-of select="../void[@property = 'href']/string" /></xsl:attribute>
							<xsl:value-of select="./string" />
						</xsl:element>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="./string" />
					</xsl:otherwise>
					</xsl:choose>
				</font>				
			</div>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>
