/*
 * JTiger Unit Testing Framework for J2SE 1.5
 * Copyright (C) 2005 Tony Morris
 *
 * This software is licenced under the
 * Common Public Licence version 1.0
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * You received a copy of this licence with this software.
 */
package org.jtiger;

import org.jtiger.assertion.AssertionException;
import org.jtiger.framework.Category;
import org.jtiger.framework.ExpectException;
import org.jtiger.framework.Fixture;
import org.jtiger.framework.Ignore;
import org.jtiger.framework.Repeat;
import org.jtiger.framework.SetUp;
import org.jtiger.framework.TearDown;
import org.jtiger.framework.Test;

@Category("x")
@Fixture(value = "fixture name", description = "fixture description")
public final class DummyFixture1
{
    DummyFixture1()
    {

    }

    @Test(value = "test name", description = "test description")
    public void success1()
    {

    }

    @Test
    @ExpectException(AssertionException.class)
    public void success2()
    {
        throw new AssertionException();
    }

    @Test
    @Category("y")
    @ExpectException(value = AssertionException.class)
    public void success3()
    {
        throw new AssertionException();
    }

    @Test
    public void failure1()
    {
        throw new AssertionException();
    }

    @Test
    @ExpectException(AssertionException.class)
    public void failure2()
    {

    }

    @Test
    @ExpectException(value = Throwable.class, subclass = true)
    public void failure3()
    {

    }

    @Ignore
    @Test
    @ExpectException(value = Throwable.class, subclass = true)
    public void ignoredAnnotated()
    {

    }

    @Test
    public void ignoredCannotInvoke(final int i)
    {

    }

    @Test
    public String message()
    {
        return "a message";
    }

    @Test
    @Repeat(3)
    public String repeat()
    {
        return "repeated";
    }

    @SetUp
    public void setUp()
    {

    }

    @TearDown
    public void tearDown()
    {

    }
}
