/*
 * JTiger Unit Testing Framework for J2SE 1.5
 * Copyright (C) 2005 Tony Morris
 *
 * This software is licenced under the
 * Common Public Licence version 1.0
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * You received a copy of this licence with this software.
 */
package org.jtiger.ant;

import org.jtiger.framework.Test;
import static org.jtiger.assertion.Basic.assertEqual;

@org.jtiger.framework.Fixture(value = "Category", description = "Performs Unit Tests on org.jtiger.ant.Category")
@org.jtiger.framework.Category("org.jtiger.ant.Category")
public final class TestCategory
{
    public TestCategory()
    {

    }

    @Test
    public void constructors()
    {
        new Category();
        final Category c = new Category("regex");
        assertEqual("regex", c.getRegex());
    }

    @Test
    public void regex()
    {
        final Category c = new Category();
        c.setRegex("regex");
        assertEqual("regex", c.getRegex());
    }
}
