/*
 * JTiger Unit Testing Framework for J2SE 1.5
 * Copyright (C) 2005 Tony Morris
 *
 * This software is licenced under the
 * Common Public Licence version 1.0
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * You received a copy of this licence with this software.
 */
package org.jtiger.ant;

import org.jtiger.framework.Test;
import static org.jtiger.assertion.Basic.assertEqual;
import java.util.List;
import java.util.LinkedList;

@org.jtiger.framework.Fixture(value = "Result", description = "Performs Unit Tests on org.jtiger.ant.Result")
@org.jtiger.framework.Category("org.jtiger.ant.Result")
public final class TestResult
{
    public TestResult()
    {

    }

    @Test
    public void constructor()
    {
        new Result();
    }

    @Test
    public void name()
    {
        final Result r = new Result();
        r.setName("name");
        assertEqual("name", r.getName());
    }

    @Test
    public void params()
    {
        final Result r = new Result();
        final Param p1 = r.createParam();
        final Param p2 = r.createParam();
        final List<Param> l = new LinkedList<Param>();
        l.add(p1);
        l.add(p2);
        assertEqual(l, r.getParams());
    }
}
