/*
 * JTiger Unit Testing Framework for J2SE 1.5
 * Copyright (C) 2005 Tony Morris
 *
 * This software is licenced under the
 * Common Public Licence version 1.0
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * You received a copy of this licence with this software.
 */
package org.jtiger.assertion;

import org.jtiger.framework.Category;
import org.jtiger.framework.Fixture;
import org.jtiger.framework.Test;
import static org.jtiger.assertion.Basic.assertNull;
import static org.jtiger.assertion.Basic.assertTrue;
import static org.jtiger.assertion.Basic.assertEqual;
import static org.jtiger.assertion.Basic.assertSame;

@Fixture(value = "AssertionException", description = "Performs Unit Tests on org.jtiger.assertion.AssertionException")
@Category("org.jtiger.assertion.AssertionException")
public final class TestAssertionException
{
    private Throwable t;
    private Throwable cause;

    public TestAssertionException()
    {

    }

    @Test
    public void constructors()
    {
        t = new AssertionException();
        assertNull(t.getMessage());
        assertNull(t.getCause());
        t = new AssertionException("m1", "m2", "m3", "m4");
        assertEqual(t.getMessage(), "m1m2m3m4");
        assertNull(t.getCause());
        cause = new RuntimeException();
        t = new AssertionException(cause);
        assertEqual(RuntimeException.class.getName(), t.getMessage());
        assertSame(cause, t.getCause());
        t = new AssertionException(cause, "m1", "m2", "m3", "m4");
        assertTrue(t.getMessage().equals("m1m2m3m4"));
        assertSame(cause, t.getCause());
    }
}
