/*
 * JTiger Unit Testing Framework for J2SE 1.5
 * Copyright (C) 2005 Tony Morris
 *
 * This software is licenced under the
 * Common Public Licence version 1.0
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * You received a copy of this licence with this software.
 */
package org.jtiger.framework;

import org.jtiger.assertion.AssertionException;

interface SequenceTester<E>
{
    void serialization(SequenceCreator<Integer> creator) throws NullPointerException, AssertionException;
    void get(SequenceCreator<Integer> creator) throws NullPointerException, AssertionException;
    void length(SequenceCreator<Integer> creator) throws NullPointerException, AssertionException;
    void append(SequenceCreator<Integer> creator) throws NullPointerException, AssertionException;
    void getSubSequence(SequenceCreator<Integer> creator) throws NullPointerException, AssertionException;
    void insert(SequenceCreator<Integer> creator) throws NullPointerException, AssertionException;
    void delete(SequenceCreator<Integer> creator) throws NullPointerException, AssertionException;
    void indexOf1(SequenceCreator<Integer> creator) throws NullPointerException, AssertionException;
    void indexOf2(SequenceCreator<Integer> creator) throws NullPointerException, AssertionException;
    void lastIndexOf1(SequenceCreator<Integer> creator) throws NullPointerException, AssertionException;
    void lastIndexOf2(SequenceCreator<Integer> creator) throws NullPointerException, AssertionException;
    void iterator(SequenceCreator<Integer> creator) throws NullPointerException, AssertionException;
    void getIterator1(SequenceCreator<Integer> creator) throws NullPointerException, AssertionException;
    void getIterator2(SequenceCreator<Integer> creator) throws NullPointerException, AssertionException;
    void isEmpty(SequenceCreator<Integer> creator) throws NullPointerException, AssertionException;
    void _toString(SequenceCreator<Integer> creator) throws NullPointerException, AssertionException;
    void equalsHashCode(SequenceCreator<Integer> creator) throws NullPointerException, AssertionException;
    void clone(SequenceCreator<Integer> creator) throws NullPointerException, AssertionException;
}
