/*
 * JTiger Unit Testing Framework for J2SE 1.5
 * Copyright (C) 2005 Tony Morris
 *
 * This software is licenced under the
 * Common Public Licence version 1.0
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * You received a copy of this licence with this software.
 */
package org.jtiger.framework;

import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;
import static org.jtiger.assertion.Reflection.assertHasDeclaredConstructor;
import static org.jtiger.assertion.Modifier.assertPrivate;
import static org.jtiger.assertion.Basic.assertTrue;
import static org.jtiger.assertion.Basic.assertFalse;
import static org.jtiger.assertion.Basic.assertNotNull;

@Fixture(value = "DefaultFixtureResultsHandlerMessage", description = "Performs Unit Tests on org.jtiger.framework.DefaultFixtureResultsHandlerMessage")
@Category("org.jtiger.framework.DefaultFixtureResultsHandlerMessage")
public final class TestDefaultFixtureResultsHandlerMessage
{
    public TestDefaultFixtureResultsHandlerMessage()
    {

    }

    @Test
    public void constructor() throws InstantiationException, IllegalAccessException, InvocationTargetException
    {
        final Constructor<?> c = assertHasDeclaredConstructor(DefaultFixtureResultsHandlerMessage.class, null);
        assertPrivate(c);
        assertFalse(c.isAccessible());
        c.setAccessible(true);
        c.newInstance();
    }

    @Test
    public void message()
    {
        assertNotNull(DefaultFixtureResultsHandlerMessage.message(1, 2, 3));
        assertTrue(DefaultFixtureResultsHandlerMessage.message(1, 2, 3).indexOf(String.valueOf(1)) >= 0);
        assertTrue(DefaultFixtureResultsHandlerMessage.message(1, 2, 3).indexOf(String.valueOf(2)) >= 0);
        assertTrue(DefaultFixtureResultsHandlerMessage.message(1, 2, 3).indexOf(String.valueOf(3)) >= 0);
    }
}
