/*
 * JTiger Unit Testing Framework for J2SE 1.5
 * Copyright (C) 2005 Tony Morris
 *
 * This software is licenced under the
 * Common Public Licence version 1.0
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * You received a copy of this licence with this software.
 */
package org.jtiger.framework;

import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;
import org.jtiger.DummyFixture1;
import static org.jtiger.assertion.Reflection.assertHasDeclaredConstructor;
import static org.jtiger.assertion.Modifier.assertPrivate;
import static org.jtiger.assertion.Basic.assertFalse;
import static org.jtiger.assertion.Basic.assertNull;
import static org.jtiger.assertion.Basic.assertNotNull;
import static org.jtiger.framework.FixtureRunnerFactory.newFixtureRunner;

@Fixture(value = "FixtureRunnerFactory", description = "Performs Unit Tests on org.jtiger.framework.FixtureRunnerFactory")
@Category("org.jtiger.framework.FixtureRunnerFactory")
public final class TestFixtureRunnerFactory
{
    public TestFixtureRunnerFactory()
    {

    }

    @Test
    public void constructor() throws InstantiationException, IllegalAccessException, InvocationTargetException
    {
        final Constructor<?> c = assertHasDeclaredConstructor(FixtureRunnerFactory.class, null);
        assertPrivate(c);
        assertFalse(c.isAccessible());
        c.setAccessible(true);
        c.newInstance();
    }

    @Test
    public void runNullArg() throws RunnerException
    {
        assertNull(newFixtureRunner().run(null, null, null, false, null));
        assertNotNull(newFixtureRunner().run(DummyFixture1.class, null, null, false, null));
    }
}
