/*
 * JTiger Unit Testing Framework for J2SE 1.5
 * Copyright (C) 2005 Tony Morris
 *
 * This software is licenced under the
 * Common Public Licence version 1.0
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * You received a copy of this licence with this software.
 */
package org.jtiger.framework;

import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;
import static org.jtiger.assertion.Basic.assertNotNull;
import static org.jtiger.assertion.Basic.assertTrue;
import static org.jtiger.assertion.Reflection.assertHasDeclaredConstructor;
import static org.jtiger.assertion.Modifier.assertPrivate;
import static org.jtiger.assertion.Basic.assertFalse;

@Fixture(value = "Messages", description = "Performs Unit Tests on org.jtiger.framework.Messages")
@Category("org.jtiger.framework.Messages")
public final class TestMessages
{
    public TestMessages()
    {

    }

    @Test
    public void constructor() throws InstantiationException, IllegalAccessException, InvocationTargetException
    {
        final Constructor<?> c = assertHasDeclaredConstructor(Messages.class, null);
        assertPrivate(c);
        assertFalse(c.isAccessible());
        c.setAccessible(true);
        c.newInstance();
    }

    @Test
    public void wrongMethodSignature()
    {
        assertNotNull(Messages.wrongMethodSignature());
        assertTrue(Messages.wrongMethodSignature().length() > 0);
    }

    @Test
    public void usage()
    {
        assertNotNull(Messages.usage());
        assertTrue(Messages.usage().length() > 0);
    }
}
