/*
 * JTiger Unit Testing Framework for J2SE 1.5
 * Copyright (C) 2005 Tony Morris
 *
 * This software is licenced under the
 * Common Public Licence version 1.0
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * You received a copy of this licence with this software.
 */
package org.jtiger.framework;

import static org.jtiger.assertion.Basic.assertNull;
import static org.jtiger.assertion.Basic.assertEqual;

@Fixture(value = "TestPositionOutOfBoundsException", description = "Performs Unit Tests on PositionOutOfBoundsException")
@Category({"org.jtiger.framework.PositionOutOfBoundsException", "PositionOutOfBoundsException"})
public final class TestPositionOutOfBoundsException
{
    public TestPositionOutOfBoundsException()
    {

    }

    @Test
    @Category("Constructor")
    void constructor() throws Throwable
    {
        final Throwable cause = new Throwable();

        final PositionOutOfBoundsException e1 = new PositionOutOfBoundsException(0);
        assertNull(e1.getMessage());
        assertNull(e1.getCause());
        assertEqual(0, e1.getPosition());

        final PositionOutOfBoundsException e2 = new PositionOutOfBoundsException(0, "message");
        assertEqual("message", e2.getMessage());
        assertNull(e2.getCause());
        assertEqual(0, e2.getPosition());

        final PositionOutOfBoundsException e3 = new PositionOutOfBoundsException(0, cause);
        assertEqual(cause.getClass().getName(), e3.getMessage());
        assertEqual(cause, e3.getCause());
        assertEqual(0, e3.getPosition());

        final PositionOutOfBoundsException e4 = new PositionOutOfBoundsException(0, "message", cause);
        assertEqual("message", e4.getMessage());
        assertEqual(cause, e4.getCause());
        assertEqual(0, e4.getPosition());
    }
}
