/*
 * JTiger Unit Testing Framework for J2SE 1.5
 * Copyright (C) 2005 Tony Morris
 *
 * This software is licenced under the
 * Common Public Licence version 1.0
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * You received a copy of this licence with this software.
 */
package org.jtiger.framework;

import static org.jtiger.assertion.Basic.assertNull;
import static org.jtiger.assertion.Basic.assertEqual;
import static org.jtiger.assertion.Basic.assertSame;
import static org.jtiger.assertion.Basic.assertTrue;

@Fixture(value = "SetUpException", description = "Performs Unit Tests on org.jtiger.framework.SetUpException")
@Category("org.jtiger.framework.SetUpException")
public final class TestSetUpException
{
    private Throwable t;
    private Throwable cause;

    public TestSetUpException()
    {

    }

    @Test
    public void constructors()
    {
        t = new SetUpException();
        assertNull(t.getMessage());
        assertNull(t.getCause());
        t = new SetUpException("message");
        assertEqual(t.getMessage(), new String("message"));
        assertNull(t.getCause());
        cause = new RuntimeException();
        t = new SetUpException(cause);
        assertEqual(RuntimeException.class.getName(), t.getMessage());
        assertSame(cause, t.getCause());
        t = new SetUpException("message", cause);
        assertTrue(t.getMessage().equals(new String("message")));
        assertSame(cause, t.getCause());
    }
}
