/*
 * JTiger Unit Testing Framework for J2SE 1.5
 * Copyright (C) 2005 Tony Morris
 *
 * This software is licenced under the
 * Common Public Licence version 1.0
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * You received a copy of this licence with this software.
 */
package org.jtiger.framework;

import static org.jtiger.assertion.Basic.assertSame;

@Fixture(value = "TestResultType", description = "Performs Unit Tests on org.jtiger.framework.TestResultType")
@Category("org.jtiger.framework.TestResultType")
public final class TestTestResultType
{
    public TestTestResultType()
    {

    }

    @Test
    public void coverMethods()
    {
        for(TestResultType rt : TestResultType.values())
        {
            final String s = rt.toString();
            final TestResultType x = TestResultType.valueOf(s);
            assertSame(rt, x);
        }
    }

    @Test
    @ExpectException(value = RuntimeException.class, subclass = true)
    public void valueOfNullArg()
    {
        TestResultType.valueOf(null);
    }
}
