/*
 * JTiger Unit Testing Framework for J2SE 1.5
 * Copyright (C) 2005 Tony Morris
 *
 * This software is licenced under the
 * Common Public Licence version 1.0
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * You received a copy of this licence with this software.
 */
package org.jtiger.report.failure;

import static org.jtiger.framework.FixturesRunnerFactory.newFixturesRunner;
import static org.jtiger.framework.FixturesRunnerConfigFactory.newFixturesRunnerConfig;
import static org.jtiger.framework.SequenceFactory.newSequence;
import static org.jtiger.assertion.Basic.assertNotNull;
import static org.jtiger.assertion.Basic.assertTrue;
import org.jtiger.framework.Fixture;
import org.jtiger.framework.Category;
import org.jtiger.framework.Test;
import org.jtiger.framework.FixturesRunner;
import org.jtiger.framework.FixturesRunnerConfig;
import org.jtiger.framework.RunnerException;
import org.jtiger.framework.FixtureResultsHandler;
import org.jtiger.framework.FixtureResultsHandlerException;
import org.jtiger.DummyFixture1;
import org.jtiger.DummyFixture2;
import org.jtiger.DummyFixture3;
import org.jtiger.DummyFixture4;
import org.jtiger.DummyFixture5;
import java.io.PrintStream;
import java.io.ByteArrayOutputStream;

@Fixture(value = "FailureFixtureResultsHandler", description = "Performs Unit Tests on org.jtiger.report.failure.FailureFixtureResultsHandler")
@Category("org.jtiger.report.failure.FailureFixtureResultsHandler")
public final class TestFailureFixtureResultsHandler
{
    public TestFailureFixtureResultsHandler()
    {

    }

    // todo
    @Test
    public void handleResult1() throws RunnerException, FixtureResultsHandlerException
    {
        final FixturesRunner runner = newFixturesRunner();
        final FixturesRunnerConfig config = newFixturesRunnerConfig(
                newSequence(new Class<?>[]{DummyFixture1.class, DummyFixture2.class, DummyFixture3.class, DummyFixture4.class, DummyFixture5.class}), null, null, false);

        final org.jtiger.framework.FixtureResults results = runner.run(config);
        final FixtureResultsHandler handler = new FailureFixtureResultsHandler();
        final PrintStream stdout = System.out;
        final ByteArrayOutputStream out = new ByteArrayOutputStream();
        System.setOut(new PrintStream(out));

        handler.handleResult(results, null);

        System.setOut(stdout);
        assertNotNull(new String(out.toByteArray()));
        assertTrue(new String(out.toByteArray()).length() > 0);
    }
}
