/*
 * JTiger Unit Testing Framework for J2SE 1.5
 * Copyright (C) 2005 Tony Morris
 *
 * This software is licenced under the
 * Common Public Licence version 1.0
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * You received a copy of this licence with this software.
 */
package org.jtiger.report.html;

import static org.jtiger.framework.SequenceFactory.newSequence;
import java.io.File;
import java.io.IOException;
import org.jtiger.DummyFixture1;
import org.jtiger.DummyFixture2;
import org.jtiger.DummyFixture3;
import org.jtiger.DummyFixture4;
import org.jtiger.DummyFixture5;
import org.jtiger.framework.Category;
import org.jtiger.framework.Fixture;
import org.jtiger.framework.FixtureResultsHandlerException;
import org.jtiger.framework.FixturesRunner;
import org.jtiger.framework.FixturesRunnerConfig;
import org.jtiger.framework.RunnerException;
import org.jtiger.framework.Test;
import static org.jtiger.framework.FixturesRunnerConfigFactory.newFixturesRunnerConfig;
import static org.jtiger.framework.FixturesRunnerFactory.newFixturesRunner;

@Fixture(value = "HtmlFixtureResultsHandler", description = "Performs Unit Tests on org.jtiger.report.html.HtmlFixtureResultsHandler")
@Category("org.jtiger.report.html.HtmlFixtureResultsHandler")
public final class TestHtmlFixtureResultsHandler
{
    public TestHtmlFixtureResultsHandler()
    {

    }

    @Test
    public void handleResult1() throws RunnerException, FixtureResultsHandlerException, IOException
    {
        final FixturesRunner runner = newFixturesRunner();
        final FixturesRunnerConfig config = newFixturesRunnerConfig(
                newSequence(new Class<?>[]{DummyFixture1.class, DummyFixture2.class, DummyFixture3.class, DummyFixture4.class, DummyFixture5.class}), null, null, false);

        final org.jtiger.framework.FixtureResults results = runner.run(config);
        final File temp = new File(System.getProperty("java.io.tmpdir"), "htmlresults" + System.currentTimeMillis());
        temp.mkdirs();
        new HtmlFixtureResultsHandler().handleResult(results, newSequence(new String[]{temp.getCanonicalPath()}));

    }
}
