/*
 * JTiger Unit Testing Framework for J2SE 1.5
 * Copyright (C) 2005 Tony Morris
 *
 * This software is licenced under the
 * Common Public Licence version 1.0
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * You received a copy of this licence with this software.
 */
package org.jtiger.report.html;

import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;
import org.jtiger.framework.Category;
import org.jtiger.framework.Fixture;
import org.jtiger.framework.Test;
import static org.jtiger.assertion.Reflection.assertHasDeclaredConstructor;
import static org.jtiger.assertion.Modifier.assertPrivate;
import static org.jtiger.assertion.Basic.assertFalse;
import static org.jtiger.report.html.OverallResultFactory.newOverallResult;
import static org.jtiger.assertion.Basic.assertEqual;

@Fixture(value = "OverallResultFactory", description = "Performs Unit Tests on org.jtiger.report.html.OverallResultFactory")
@Category("org.jtiger.report.html.OverallResultFactory")
public final class TestOverallResultFactory
{
    public TestOverallResultFactory()
    {

    }

    @Test
    public void constructor() throws InstantiationException, IllegalAccessException, InvocationTargetException
    {
        final Constructor<?> c = assertHasDeclaredConstructor(OverallResultFactory.class, null);
        assertPrivate(c);
        assertFalse(c.isAccessible());
        c.setAccessible(true);
        c.newInstance();
    }

    @Test
    public void testAccessors()
    {
        final OverallResult or = newOverallResult("name", "description", "elapsedTime", "result");
        assertEqual("name", or.getName());
        assertEqual("description", or.getDescription());
        assertEqual("elapsedTime", or.getElapsedTime());
        assertEqual("result", or.getResult());
    }
}
